
Foreman - Bug #27681

rest-client 2.1.0 breaks tests

08/22/2019 08:15 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Tests   

Target version:    

Difficulty:  Fixed in Releases: 1.21.4, 1.22.1, 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6994

  

Description

RuntimeError: unknown RestClient::Response.create version (2.1.0, arity -4)

test/active_support_test_case_helper.rb:225:in `fake_rest_client_response'

test/unit/proxy_api/bmc_test.rb:101:in `block in <class:ProxyApiBmcTest>' (RuntimeError)

/home/jenkins/workspace/test_develop_pr_core/database/postgresql/ruby/2.3/slave/fast/test/active_support_test_case_helper.rb:225

Related issues:

Related to Foreman - Refactor #15573: Support rest-client 2.0.0 Closed 07/04/2016

Associated revisions

Revision 42cf34e6 - 08/22/2019 09:57 AM - Tomer Brisker

Fixes #27681 - Fix test for rest-client 2.1 support

The arity of Response.create funciton changed in 2.1, causing an old

workaround to allow working with bot 1.8 and 2.x to fail. Since we

require >2.0 now there is no more need for the check for older versions.

History

#1 - 08/22/2019 08:20 AM - Tomer Brisker

https://github.com/rest-client/rest-client/commit/de5e2685fda0daebb0049a14cd296c9785186d58 changed the arity of the create method, causing the

check in the test helper to fail.

#2 - 08/22/2019 08:51 AM - Tomer Brisker

- Related to Refactor #15573: Support rest-client 2.0.0 added

#3 - 08/22/2019 08:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/6994 added

#4 - 08/22/2019 10:00 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#5 - 08/22/2019 10:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 42cf34e62721cc96bd97ca0058d5ac511fd35527.

#6 - 08/22/2019 10:03 AM - Tomer Brisker

- Fixed in Releases 1.21.4, 1.22.1, 1.23.0 added

- Fixed in Releases deleted (1.24.0)
